namespace _2024._11._15
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int[] array1 = { 1, 2, 5, 4, 3, 6 };
            Array.Sort(array1, 3, 3);

            foreach (int i in array1)
            {
                Console.WriteLine(i);
            }


            var tomb = new Demo[4];

            tomb[0] = new Demo("Teszt", 42);
            tomb[3] = new Demo()
            {
                Szoveg = "Másik",
                Szam = 11
            };

            foreach (var item in tomb)
            {
                if (item == null)
                {
                    Console.WriteLine("null");
                }

                else
                {
                    Console.WriteLine($"{ item.Szoveg}, {item.Szam}");
                }
            }
        }
    }
}
